Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

lr-snes9x 1.58


  • Global Moderator

    That's a 2017 post, probably referring to the Snes9x core.


  • Global Moderator

    @hermit said in lr-snes9x 1.58:

    edit: yes...do you know how to get this core?

    There is no such core. Do you have the latest lr-snes9x package installed (from source) ? Did you switch to this core when starting the game, from the Runcommand launch menu ? Do you have the BIOS files installed - as advised by @Lodan-Zark ?



  • ah, ok thank :(
    I do not know where to bump my head ... it seems that it works for everyone except me :(
    edit:
    rom and bios are correct (other roms work without problems)
    I also reset retroarch.cfg and retroarch-core-options.cfg, but the problem persists :(
    image
    @mitu
    Do you have the latest lr-snes9x package installed (from source) ? yes
    Did you switch to this core when starting the game, from the Runcommand launch menu ? yes
    Do you have the BIOS files installed - as advised by @Lodan-Zark ? yes


  • Global Moderator

    OK, so this got me intrigued. I've followed the steps so far in this topic, so the BS-X world loads, then you go to the house and choose to load your game, but the ROM fails to load. Just for testing, I loaded another .bs title (Chou Aniki ?) and it loaded fine - so the process should be fine, but it's not loaded in lr-snes9x. Log file shows

    "?s???{?[??" [bad checksum] LoROM, Corrupt, Type: ROM, Mode: 00, TV: PAL, S-RAM: Corrupt, ROMId:  Company: 01
    

    HOWEVER, using the standalone emulator snes9x- not the Libretro core - the game loads and seems to start.
    babf3997-a5af-4184-a93c-5dc44e57d8f7-image.png

    Btw, I have no idea how to exit the game, since the usual Start + Select doesn't work.



  • if I'm not mistaken, you need the keyboard
    so you see error 09 , right?
    yes, even the standalone version works for me, but I prefer the Libretto version. I do not understand how it works at Lodan-Zark
    I loaded from an old backup, the version lr-snes9x 1.54 and there it works, but uses a system without bios. for this reason I was wondering about the 2017 version


  • Global Moderator

    @hermit said in lr-snes9x 1.58:

    so you see error 09 , right?

    Yes, there some something like this. There is no 2017 version of the lr-snes9x core, but you can probably use the 1.54 version if you still have it available and it works.



  • @mitu said in lr-snes9x 1.58:

    Yes, there some something like this. There is no 2017 version of the lr-snes9x core, but you can probably use the 1.54 version if you still have it available and it works.

    ohh finally! thank you . I'm almost happy, at least I know it's a problem of the core and not some of my setting. strange that the problem occurs on the rpi 3b and not on the rpi 3b +

    here are the sources, I do not know if you can do something ..
    http://www.s9x-w32.de/dl/

    I did a bit of a mess to install it, and I'm not really happy. I would not want to create problems with Retroarch settings
    I only had the file already filled in. if needed, I will upload


  • Global Moderator

    @hermit said in lr-snes9x 1.58:

    here are the sources, I do not know if you can do something ..

    I'm not sure I understand what you want me to do with those sources ? You already got the game working with an older Libretro core and it also works with the standalone snes9x, so what exactly are you looking for ?



  • I hoped you could create an official installation of lr-snes2017. but that's okay ... thanks for everything :)


  • Global Moderator

    @hermit That's not how it works. If the ROM in question worked with an older version of the snes9x Libretro core, but the same ROM has an error now, we should report this to the upstream project - so it gets fixed in the future.
    You already have a topic opened on the Snes9x board - you can report this regression there, mentioning the ROM name (and checksum) and the versions implied - the one working and the non-working one.


Log in to reply
 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.